/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#ifndef _DIALOG_WINDOW_H_
#define _DIALOG_WINDOW_H_

window *new_dialog_window(wm *wm, Window map_window);
void dialog_window_redraw(window *win);
void dialog_window_refresh_widgets(window *win);
void dialog_window_hide(window *win);
void dialog_window_show(window *win);
void dialog_window_destroy(window *win);
void dialog_window_set_flags(window *win, unsigned long flags);
void dialog_window_set_flag(window *win, flag_num flag_no, Bool value);
void dialog_window_set_size(window *win, unsigned long width, unsigned long height);
void dialog_window_set_position(window *win, int x, int y);
Bool dialog_window_motion_callback(px_widget *pw, px_event *pxe);
Bool dialog_window_release_callback(px_widget *pw, px_event *pxe);
Bool dialog_window_click_callback(px_widget *pw, px_event *pxe);

#endif
